$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-9a51f222653ee3b5c91f78995a80c5502a3af3df/rpcs3-v0.0.11-10807-9a51f222_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = 'bec1b2ad1ee1713fccb9e6bd79149df0b91a3c2e835e6fc90ba14f984f0b87b7'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
